from pymongo import MongoClient
from pymongo.server_api import ServerApi
import json

# INSERT YOUR DATA OF INTEREST IN THE FOLLOWING VARIABLES, THEN RUN THE SCRIPT
connection_string = "" # found in MongoDB Atlas
database_name = "dbdmg" 
collection_name = "restaurant"
file_name = "restaurants_collection.txt" # the file file must be in the same folder as the script


def get_database(): 
   # Provide the mongodb atlas url to connect python to mongodb using pymongo
   CONNECTION_STRING = connection_string
 
   # Create a connection using MongoClient. You can import MongoClient or use pymongo.MongoClient
   client = MongoClient(CONNECTION_STRING, server_api=ServerApi('1'))
 
   # Create the database for our example (we will use the same database throughout the tutorial
   return client[database_name]
  
# This is added so that many files can reuse the function get_database()
if __name__ == "__main__":   
  
   # Get the database
   dbname = get_database()

collection_name = dbname[collection_name]

with open(file_name, "r") as file:
    data = json.load(file)

collection_name.insert_many(data)